Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Reflection
Created: 2013-03-20 Assigned To: Karsten Dambekalns
Updated: 2013-03-27 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: ObjectAccess::getProperty() breaks on \stdClass due to accessor cache
Description

When using getProperty() on \stdClass instances, the accessor cache leads to false results - because the class name alone in this
case does not tell anything about the availability of a property.

Associated revisions
Revision d1fdd2a3 - 2013-03-21 15:33 - Karsten Dambekalns

[BUGFIX] ObjectAccess::getProperty() breaks on \stdClass due to cache

When using getProperty() on \stdClass instances, the accessor cache
leads to false results - because the class name alone in this case does
not tell anything about the availability of a property.

With this change getProperty() does not use the cache for \stdClass
anymore.

Change-Id: I85aab26ef0975d9af9ec4559cf079014334439a7
Fixes: #46465
Releases: master

Revision 9daf3906 - 2013-03-27 12:05 - Karsten Dambekalns

[BUGFIX] ObjectAccess::getProperty() breaks on \stdClass due to cache

When using getProperty() on \stdClass instances, the accessor cache
leads to false results - because the class name alone in this case does
not tell anything about the availability of a property.

With this change getProperty() does not use the cache for \stdClass
anymore.

Change-Id: I85aab26ef0975d9af9ec4559cf079014334439a7
Fixes: #46465
Releases: master

History
#1 - 2013-03-20 16:04 - Karsten Dambekalns
- Target version changed from 2.0 to 2.1
- Affected Flow version changed from Git 2.0 to Git master

#2 - 2013-03-20 16:06 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19082

#3 - 2013-03-21 15:33 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19082

#4 - 2013-03-25 16:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d1fdd2a3af1a24160e236b15b7529b1e2245c3a4.

#5 - 2013-03-27 12:08 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch composer has been pushed to the review server.
It is available at https://review.typo3.org/19376

#6 - 2013-03-27 13:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:9daf390606b17f7998ed8853f0bfbb983eca1cb4.
